    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -----------------------
    028     * IntervalXYZDataset.java
    029     * -----------------------
    030     * (C) Copyright 2001-2004, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: IntervalXYZDataset.java,v 1.2.2.1 2005/10/25 21:36:51 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 31-Oct-2001 : Version 1 (DG);
    040     *
    041     */
    042
    043    package org.jfree.data.xy;
    044
    045
    046    /**
    047     * An extension of the {@link XYZDataset} interface that allows a range of data
    048     * to be defined for any of the X values, the Y values, and the Z values.
    049     */
    050    public interface IntervalXYZDataset extends XYZDataset {
    051
    052        /**
    053         * Returns the starting X value for the specified series and item.
    054         *
    055         * @param series  the series (zero-based index).
    056         * @param item  the item within a series (zero-based index).
    057         *
    058         * @return The starting X value for the specified series and item.
    059         */
    060        public Number getStartXValue(int series, int item);
    061
    062        /**
    063         * Returns the ending X value for the specified series and item.
    064         *
    065         * @param series  the series (zero-based index).
    066         * @param item  the item within a series (zero-based index).
    067         *
    068         * @return The ending X value for the specified series and item.
    069         */
    070        public Number getEndXValue(int series, int item);
    071
    072        /**
    073         * Returns the starting Y value for the specified series and item.
    074         *
    075         * @param series  the series (zero-based index).
    076         * @param item  the item within a series (zero-based index).
    077         *
    078         * @return The starting Y value for the specified series and item.
    079         */
    080        public Number getStartYValue(int series, int item);
    081
    082        /**
    083         * Returns the ending Y value for the specified series and item.
    084         *
    085         * @param series  the series (zero-based index).
    086         * @param item  the item within a series (zero-based index).
    087         *
    088         * @return The ending Y value for the specified series and item.
    089         */
    090        public Number getEndYValue(int series, int item);
    091
    092        /**
    093         * Returns the starting Z value for the specified series and item.
    094         *
    095         * @param series  the series (zero-based index).
    096         * @param item  the item within a series (zero-based index).
    097         *
    098         * @return The starting Z value for the specified series and item.
    099         */
    100        public Number getStartZValue(int series, int item);
    101
    102        /**
    103         * Returns the ending Z value for the specified series and item.
    104         *
    105         * @param series  the series (zero-based index).
    106         * @param item  the item within a series (zero-based index).
    107         *
    108         * @return The ending Z value for the specified series and item.
    109         */
    110        public Number getEndZValue(int series, int item);
    111
    112    }